stack.sh fails due to PyYAML- related problem

Bug #1891694 reported by Robert Brown III
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
devstack
Fix Released
Undecided
Unassigned
CentOS
New
Undecided
Unassigned
Ubuntu
New
Undecided
Unassigned

Bug Description

When running stack.sh, the following failure occurs:

Installing collected packages: PyYAML, pyparsing, zipp, importlib-metadata, colorama, pyperclip, cmd2, stevedore, cliff, future, stestr, os-testr
  Attempting uninstall: PyYAML
    Found existing installation: PyYAML 5.3
ERROR: Cannot uninstall 'PyYAML'. It is a distutils installed project and thus we cannot accurately determine which files belong to it which would lead to only a partial uninstall.

+inc/python:pip_install:1 exit_trap
+./stack.sh:exit_trap:489 local r=1
++./stack.sh:exit_trap:490 jobs -p
+./stack.sh:exit_trap:490 jobs=
+./stack.sh:exit_trap:493 [[ -n '' ]]
+./stack.sh:exit_trap:499 '[' -f '' ']'
+./stack.sh:exit_trap:504 kill_spinner
+./stack.sh:kill_spinner:399 '[' '!' -z '' ']'
+./stack.sh:exit_trap:506 [[ 1 -ne 0 ]]
+./stack.sh:exit_trap:507 echo 'Error on exit'
Error on exit
+./stack.sh:exit_trap:509 type -p generate-subunit
+./stack.sh:exit_trap:512 [[ -z /opt/stack/logs ]]
+./stack.sh:exit_trap:515 /usr/bin/python3.6 /opt/stack/devstack/tools/worlddump.py -d /opt/stack/logs
World dumping... see /opt/stack/logs/worlddump-2020-08-09-192709.txt for details
ebtables v1.8.4 (nf_tables): table `broute' is incompatible, use 'nft' tool.

+./stack.sh:exit_trap:524 exit 1

Based on my research, I believe this problem relates to a bad installation using Python's pip command. Apparently the PyYAML is installed using distutils, then (for unknown reasons) an attempt is made to reinstall it. The reinstall detects PyYAML and attempts to uninstall it. The attempt, of course, fails.

It is unknown where these installs are taking place in the stack script(s). It is, however, clear that without a fix for this problem stack.sh is unusable. It is, under current circumstances, incapable of completing an installation of devstack.

Tags: installation
tags: added: installation
description: updated
Revision history for this message
kay (kay-diam) wrote :
Revision history for this message
Dr. Jens Harbott (j-harbott) wrote :

This should be resolved on all currently supported distributions, please reopen if you still see this issue.

Changed in devstack:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.